Package org.gradle.api.tasks

## Class StopExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.tasks.StopExecutionException

- All Implemented Interfaces:
    `Serializable`

      public class StopExecutionException
      extends RuntimeException

  A `StopExecutionException` is thrown by a `Action` or task action closure to stop execution of the current task and start execution of the next task. This allows, for example, precondition actions to be added to a task which abort execution of the task if the preconditions are not met.

  Note that throwing this exception does not fail the execution of the task or the build.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StopExecutionException()` |
    `StopExecutionException​(String message)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StopExecutionException

          public StopExecutionException()

    - #### StopExecutionException

          public StopExecutionException​(String message)